DU(1)

NIMI
du - estimate file space usage

YLEISKATSAUS
du [VALITSIN]... [TIEDOSTO]...
du [VALITSIN]... --files0-from=T

KUVAUS

Summarize device usage of the set of FILEs, recursively for directories.

Pitkien valitsinten pakolliset argumentit ovat pakollisia myös lyhyille.

-0, --null
    päätä rivit NUL-tavuun, ei rivinvaihtoon

-a, --all
    näytä koot kaikille tiedostoille, ei vain hakemistoille

--apparent-size
    print apparent sizes rather than device usage; although the apparent size is usually smaller, it may be larger due to holes in ('sparse') files, internal fragmentation, indirect blocks, and the like

-B, --block-size=KOKO
    scale sizes by SIZE before printing them; e.g., '-BM' prints sizes in units of 1,048,576 bytes; see SIZE format below

-b, --bytes
    sama kuin '--apparent-size --block-size=1'

-c, --total
    näytä myös kokonaismäärä

-D, --dereference-args
    laske mukaan vain komentorivillä annettujen symlinkkien kohteiden koot

-d, --max-depth=N
    print the total for a directory (or file, with --all) only if it is N or fewer levels below the command line argument; --max-depth=0 is the same as --summarize

--files0-from=T
    summarize device usage of the NUL-terminated file names specified in file F; if F is -, then read names from standard input

-H  sama kuin --dereference-args (-D)

-h, --human-readable
    näytä koot helppolukuisessa muodossa (esim. 1K 234M 2G)

--inodes
    list inode usage information instead of block usage

-k  kuten --block-size=1K

-L, --dereference
    seuraa kaikkia symbolisia linkkejä

-l, --count-links
    laske kovien linkkien koot monta kertaa

-m  sama kuin --block-size=1M

-P, --no-dereference
    älä seuraa mitään symbolisia linkkejä (tämä on oletus)

-S, --separate-dirs
    for directories do not include size of subdirectories

--si
    sama kuin -h, mutta monikerta on 1000, ei 1024

-s, --summarize
    näytä vain kokonaismäärä jokaiselle argumentille

-t, --threshold=KOKO
    exclude entries smaller than SIZE if positive, or entries greater than SIZE if negative

--time
    show time of the last modification of any file in the directory, or any of its subdirectories

--time=SANA
    näytä muutosajan sijaan SANAn mukainen aika: atime, access, use, ctime tai status

--time-style=TYYLI
    show times using STYLE, which can be: full-iso, long-iso, iso, or +FORMAT; FORMAT is interpreted like in 'date'

-X, --exclude-from=TIEDOSTO
    jätä pois TIEDOSTOssa lueteltuihin hahmoihin täsmäävät tiedostot

--exclude=KUVIOTA
    jättää pois KUVIOTA vastaavat tiedostot

-x, --one-file-system
    ohita muilla tiedostojärjestelmillä sijaitsevat hakemistot

--help
    näytä tämä ohje ja poistu

--version
    näytä versiotiedot ja poistu

Näyttöarvot ovat yksiköissä, joiden koko on ensimmäinen käytettävissä oleva KOKO --block-size, ja DU_BLOCK_SIZE-, BLOCK_SIZE- ja BLOCKSIZE-ympäristömuuttujat. Muussa tapauksessa yksiköiden oletusarvo on 1 024 t ti :tä (tai 512, jos POSIXLY_CORRECT on määritetty).

SIZE-argumentti on kokonaisluku ja valinnainen yksikkö (esimerkki: 10K on 10*1024). Yksiköt ovat K,M,G,T,P,E,Z,Y,R,Q (tehot 1024) tai KB,MB,... (1000:n valtuudet). Binaarien etuliitteenä voidaan käyttää myös: KiB=K, MiB=M ja niin edelleen.

KUVIOT
PATTERN is a shell pattern (not a regular expression). The pattern ? matches any one character, whereas * matches any string (composed of zero, one or multiple characters). For example, *.o will match any files whose names end in .o. Therefore, the command

    du --exclude='*.o'

will skip all files and subdirectories ending in .o (including the file .o itself).

TEKIJÄ
Kirjoittaneet Torbjorn Granlund, David MacKenzie, Paul Eggert ja Jim Meyering.

VIRHEISTÄ ILMOITTAMINEN
GNU coreutils online help: <https://www.gnu.org/software/coreutils/>
Ilmoita käännösvirheistä osoitteeseen <https://translationproject.org/team/fi.html>

KATSO MYÖS
Koko dokumentaatio: <https://www.gnu.org/software/coreutils/du>
tai saatavilla paikallisesti: info '(coreutils) du invocation'

Packaged by Debian (9.7-3)
Copyright © 2025 Free Software Foundation, Inc.
Lisenssi GPLv3+: GNU GPL versio 3 tai myöhempi <https://gnu.org/licenses/gpl.html>.
Tämä on vapaa ohjelmisto; sitä saa vapaasti muuttaa ja levittää edelleen.
Siinä määrin kuin laki sallii, TAKUUTA EI OLE.

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Jussi Larjo <larjo@cc.tut.fi>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.